#ifndef _SHA1_H
#define _SHA1_H

#ifndef _TYPES_
#define _TYPES_
typedef unsigned int    uint32;
typedef unsigned char   uint8;
typedef unsigned short  uint16;
#endif // _TYPES_

typedef struct
{
    uint32 total[2];
    uint32 state[5];
    uint8 buffer[64];
}
sha1_context;

void sha1_starts( sha1_context *ctx );
void sha1_update( sha1_context *ctx, uint8 *input, uint32 length );
void sha1_finish( sha1_context *ctx, uint8 digest[20] );

#endif /* sha1.h */
